# Class RunConfig.Builder

java.lang.Object
com.google.adk.agents.RunConfig.Builder

Enclosing class:
  `RunConfig`

public abstract static class RunConfig.Builder extends Object
Builder for `RunConfig`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract RunConfig.Builder`
  `autoCreateSession(boolean autoCreateSession)`
  `RunConfig`
  `build()`
  `abstract RunConfig.Builder`
  `inputAudioTranscription(@Nullable com.google.genai.types.AudioTranscriptionConfig inputAudioTranscription)`
  `abstract RunConfig.Builder`
  `maxLlmCalls(int maxLlmCalls)`
  `abstract RunConfig.Builder`
  `outputAudioTranscription(@Nullable com.google.genai.types.AudioTranscriptionConfig outputAudioTranscription)`
  `abstract RunConfig.Builder`
  `responseModalities(Iterable<com.google.genai.types.Modality> responseModalities)`
  `abstract RunConfig.Builder`
  `saveInputBlobsAsArtifacts(boolean saveInputBlobsAsArtifacts)`
  `final RunConfig.Builder`
  `setAutoCreateSession(boolean autoCreateSession)`
  Deprecated.
  `final RunConfig.Builder`
  `setInputAudioTranscription(@Nullable com.google.genai.types.AudioTranscriptionConfig inputAudioTranscription)`
  Deprecated.
  `final RunConfig.Builder`
  `setMaxLlmCalls(int maxLlmCalls)`
  Deprecated.
  `final RunConfig.Builder`
  `setOutputAudioTranscription(@Nullable com.google.genai.types.AudioTranscriptionConfig outputAudioTranscription)`
  Deprecated.
  `final RunConfig.Builder`
  `setResponseModalities(Iterable<com.google.genai.types.Modality> responseModalities)`
  Deprecated.
  `final RunConfig.Builder`
  `setSaveInputBlobsAsArtifacts(boolean saveInputBlobsAsArtifacts)`
  Deprecated.
  `final RunConfig.Builder`
  `setSpeechConfig(@Nullable com.google.genai.types.SpeechConfig speechConfig)`
  Deprecated.
  `final RunConfig.Builder`
  `setStreamingMode(RunConfig.StreamingMode streamingMode)`
  Deprecated.
  `final RunConfig.Builder`
  `setToolExecutionMode(RunConfig.ToolExecutionMode toolExecutionMode)`
  Deprecated.
  `abstract RunConfig.Builder`
  `speechConfig(@Nullable com.google.genai.types.SpeechConfig speechConfig)`
  `abstract RunConfig.Builder`
  `streamingMode(RunConfig.StreamingMode streamingMode)`
  `abstract RunConfig.Builder`
  `toolExecutionMode(RunConfig.ToolExecutionMode toolExecutionMode)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### setSpeechConfig

    @Deprecated @CanIgnoreReturnValue public final RunConfig.Builder setSpeechConfig(@Nullable com.google.genai.types.SpeechConfig speechConfig)
    Deprecated.

  - ### speechConfig

    @CanIgnoreReturnValue public abstract RunConfig.Builder speechConfig(@Nullable com.google.genai.types.SpeechConfig speechConfig)

  - ### setResponseModalities

    @Deprecated @CanIgnoreReturnValue public final RunConfig.Builder setResponseModalities(Iterable<com.google.genai.types.Modality> responseModalities)
    Deprecated.

  - ### responseModalities

    @CanIgnoreReturnValue public abstract RunConfig.Builder responseModalities(Iterable<com.google.genai.types.Modality> responseModalities)

  - ### setSaveInputBlobsAsArtifacts

    @Deprecated @CanIgnoreReturnValue public final RunConfig.Builder setSaveInputBlobsAsArtifacts(boolean saveInputBlobsAsArtifacts)
    Deprecated.

  - ### saveInputBlobsAsArtifacts

    @CanIgnoreReturnValue public abstract RunConfig.Builder saveInputBlobsAsArtifacts(boolean saveInputBlobsAsArtifacts)

  - ### setStreamingMode

    @Deprecated @CanIgnoreReturnValue public final RunConfig.Builder setStreamingMode(RunConfig.StreamingMode streamingMode)
    Deprecated.

  - ### streamingMode

    @CanIgnoreReturnValue public abstract RunConfig.Builder streamingMode(RunConfig.StreamingMode streamingMode)

  - ### setToolExecutionMode

    @Deprecated @CanIgnoreReturnValue public final RunConfig.Builder setToolExecutionMode(RunConfig.ToolExecutionMode toolExecutionMode)
    Deprecated.

  - ### toolExecutionMode

    @CanIgnoreReturnValue public abstract RunConfig.Builder toolExecutionMode(RunConfig.ToolExecutionMode toolExecutionMode)

  - ### setOutputAudioTranscription

    @Deprecated @CanIgnoreReturnValue public final RunConfig.Builder setOutputAudioTranscription(@Nullable com.google.genai.types.AudioTranscriptionConfig outputAudioTranscription)
    Deprecated.

  - ### outputAudioTranscription

    @CanIgnoreReturnValue public abstract RunConfig.Builder outputAudioTranscription(@Nullable com.google.genai.types.AudioTranscriptionConfig outputAudioTranscription)

  - ### setInputAudioTranscription

    @Deprecated @CanIgnoreReturnValue public final RunConfig.Builder setInputAudioTranscription(@Nullable com.google.genai.types.AudioTranscriptionConfig inputAudioTranscription)
    Deprecated.

  - ### inputAudioTranscription

    @CanIgnoreReturnValue public abstract RunConfig.Builder inputAudioTranscription(@Nullable com.google.genai.types.AudioTranscriptionConfig inputAudioTranscription)

  - ### setMaxLlmCalls

    @Deprecated @CanIgnoreReturnValue public final RunConfig.Builder setMaxLlmCalls(int maxLlmCalls)
    Deprecated.

  - ### maxLlmCalls

    @CanIgnoreReturnValue public abstract RunConfig.Builder maxLlmCalls(int maxLlmCalls)

  - ### setAutoCreateSession

    @Deprecated @CanIgnoreReturnValue public final RunConfig.Builder setAutoCreateSession(boolean autoCreateSession)
    Deprecated.

  - ### autoCreateSession

    @CanIgnoreReturnValue public abstract RunConfig.Builder autoCreateSession(boolean autoCreateSession)

  - ### build

    public RunConfig build()